﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Domain.Models.Database
{
    public class MachineConfigure
    {
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        [Key]
        public Int32 Id { set; get; }

        [StringLength(25)]
        public string ChargePointSerialNumber { get; set; }

        /// <summary>
        /// 存取限制 
        /// </summary>
        public bool ReadOnly { set; get; }

        [StringLength(50)]
        public string ConfigureName { set; get; }

        [StringLength(500)]
        public string ConfigureSetting { set; get; }
    }
}
